import { computed } from "vue";
import store from "@/store/index";

/**
 * Returns applications
 * @returns array
 */
export const invoices_statistics = computed(() => {
  const target = [
    "total_pending_invoices",
    "pending_amount",
    "total_paid_invoices",
    "paid_amount",
  ];

  const statistics = {};

  for (const key of target) {
    statistics[key] = store.getters.currentStatistics[key];
  }
  return statistics;
});

export const tables_statistics = computed(() => {
  const target = [
    "total_companies",
    "total_users",
    "total_countries",
    "total_invoices",
  ];

  const statistics = {};

  for (const key of target) {
    statistics[key] = store.getters.currentStatistics[key];
  }
  return statistics;
});

export const usersLineChart = computed(() => {
  return store.getters.usersLineChart
    ? [{ name: "Users", data: store.getters.usersLineChart.series }]
    : [{ name: "", data: [] }];
});

export const invoicesLineChart = computed(() => {
  return store.getters.invoicesPaidLineChart &&
    store.getters.invoicesPaidLineChart
    ? [
        {
          name: "Paid Invoices",
          data: store.getters.invoicesPaidLineChart.series,
        },
        {
          name: "Pending Invoices",
          data: store.getters.invoicesPendingLineChart
            ? store.getters.invoicesPendingLineChart.series
            : [],
        },
      ]
    : [{ name: "", data: [] }];
});
